clang-tools 10.0.0

Namespaces | Functions
PathMapping.cpp File Reference
`#include "PathMapping.h"`
`#include "Transport.h"`
`#include "URI.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/Support/Errno.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/Path.h"`
`#include <algorithm>`
`#include <tuple>`
Include dependency graph for PathMapping.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::Optional< std::string > | clang::clangd::doPathMapping (llvm::StringRef S, PathMapping::Direction Dir, const PathMappings &Mappings)
| Returns a modified `S` with the first matching path in `Mappings` substituted, if applicable. More...
void | clang::clangd::applyPathMappings (llvm::json::Value &Params, PathMapping::Direction Dir, const PathMappings &Mappings)
| Applies the `Mappings` to all the file:// URIs in `Params`. More...
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const PathMapping &M)
llvm::Expected< PathMappings > | clang::clangd::parsePathMappings (llvm::StringRef RawPathMappings)
| Parse the command line `RawPathMappings` (e.g. More...
std::unique_ptr< Transport > | clang::clangd::createPathMappingTransport (std::unique_ptr< Transport > Transp, PathMappings Mappings)
| Creates a wrapping transport over `Transp` that applies the `Mappings` to all inbound and outbound LSP messages. More...